Index: /code/branches/cpp11_v2/src/libraries/core/object/Listable.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/Listable.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/object/Listable.cc	(revision 10916)
@@ -76,6 +76,6 @@
     void Listable::unregisterObject()
     {
-        for (auto & elem : this->elements_)
-            Listable::deleteObjectListElement(elem);
+        for (ObjectListBaseElement* element : this->elements_)
+            Listable::deleteObjectListElement(element);
         this->elements_.clear();
     }
@@ -91,8 +91,8 @@
         this->elements_.clear();
 
-        for (auto & elem : copy)
+        for (ObjectListBaseElement* element : copy)
         {
-            elem->changeContext(this->context_, context);
-            Listable::deleteObjectListElement(elem);
+            element->changeContext(this->context_, context);
+            Listable::deleteObjectListElement(element);
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc	(revision 10916)
@@ -92,6 +92,6 @@
     void ObjectListBase::notifyRemovalListeners(ObjectListBaseElement* element) const
     {
-        for (const auto & elem : this->listeners_)
-            (elem)->removedElement(element);
+        for (ObjectListElementRemovalListener* listener : this->listeners_)
+            listener->removedElement(element);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc	(revision 10916)
@@ -73,12 +73,12 @@
     void ScopeManager::activateListenersForScope(ScopeID::Value scope)
     {
-        for (const auto & elem : this->listeners_[scope])
-            this->activateListener(elem);
+        for (ScopeListener* listener : this->listeners_[scope])
+            this->activateListener(listener);
     }
 
     void ScopeManager::deactivateListenersForScope(ScopeID::Value scope)
     {
-        for (const auto & elem : this->listeners_[scope])
-            this->deactivateListener(elem);
+        for (ScopeListener* listener : this->listeners_[scope])
+            this->deactivateListener(listener);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc	(revision 10916)
@@ -131,7 +131,7 @@
   *(uint32_t*)(mem+2*sizeof(uint32_t)) = this->objectID_;
   mem += 3*sizeof(uint32_t);
-  for(auto & elem : this->arguments_)
+  for(const MultiType& argument : this->arguments_)
   {
-    elem.exportData( mem );
+    argument.exportData( mem );
   }
 }
Index: /code/branches/cpp11_v2/src/libraries/network/Host.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/Host.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/network/Host.cc	(revision 10916)
@@ -80,9 +80,9 @@
   void Host::addPacket(ENetPacket *packet, int clientID, uint8_t channelID)
   {
-    for(auto & instances_ : instances_s)
+    for(Host* host : instances_s)
     {
-      if( (instances_)->isActive() )
+      if( host->isActive() )
       {
-        (instances_)->queuePacket(packet, clientID, channelID);
+        host->queuePacket(packet, clientID, channelID);
       }
     }
@@ -97,7 +97,7 @@
   void Host::sendChat(const std::string& message, unsigned int sourceID, unsigned int targetID)
   {
-    for(auto & instances_ : instances_s)
-      if( (instances_)->isActive() )
-        (instances_)->doSendChat(message, sourceID, targetID);
+    for(Host* host : instances_s)
+      if( host->isActive() )
+        host->doSendChat(message, sourceID, targetID);
   }
 
@@ -114,9 +114,9 @@
   bool Host::isServer()
   {
-    for (auto & instances_ : instances_s)
+    for (Host* host : instances_s)
     {
-      if( (instances_)->isActive() )
+      if( host->isActive() )
       {
-        if( (instances_)->isServer_() )
+        if( host->isServer_() )
           return true;
       }
Index: /code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 10916)
@@ -88,6 +88,6 @@
     }
     // delete all Synchronisable Variables from syncList_ ( which are also in stringList_ )
-    for(auto & elem : syncList_)
-      delete (elem);
+    for(SynchronisableVariableBase* variable : syncList_)
+      delete variable;
     syncList_.clear();
     stringList_.clear();
Index: /code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc	(revision 10916)
@@ -392,11 +392,11 @@
             manualObject->estimateVertexCount(lineVertices.size());
             manualObject->estimateIndexCount(lineIndices.size());
-            for (auto & elem : lineVertices)
+            for (const VertexPair& pair : lineVertices)
             {
-                manualObject->position(elem.first);
-                manualObject->colour(elem.second);
+                manualObject->position(pair.first);
+                manualObject->colour(pair.second);
             }
-            for (auto & elem : lineIndices)
-                manualObject->index(elem);
+            for (int lineIndex : lineIndices)
+                manualObject->index(lineIndex);
         }
         else
@@ -409,11 +409,11 @@
             manualObject->estimateVertexCount(triangleVertices.size());
             manualObject->estimateIndexCount(triangleIndices.size());
-            for (auto & elem : triangleVertices)
+            for (const VertexPair& pair : triangleVertices)
             {
-                manualObject->position(elem.first);
-                manualObject->colour(elem.second.r, elem.second.g, elem.second.b, fillAlpha);
+                manualObject->position(pair.first);
+                manualObject->colour(pair.second.r, pair.second.g, pair.second.b, fillAlpha);
             }
-            for (auto & elem : triangleIndices)
-                manualObject->index(elem);
+            for (int triangleIndex : triangleIndices)
+                manualObject->index(triangleIndex);
         }
         else
Index: /code/branches/cpp11_v2/src/libraries/tools/IcoSphere.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/IcoSphere.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/tools/IcoSphere.cc	(revision 10916)
@@ -116,7 +116,6 @@
             std::list<TriangleIndices> faces2;
 
-            for (auto f : faces)
+            for (const TriangleIndices& f : faces)
             {
-                
                 int a = getMiddlePoint(f.v1, f.v2);
                 int b = getMiddlePoint(f.v2, f.v3);
@@ -194,8 +193,8 @@
     void IcoSphere::addToLineIndices(int baseIndex, std::list<int>* target) const
     {
-        for (const auto & elem : lineIndices)
+        for (const LineIndices& line : lineIndices)
         {
-            target->push_back(baseIndex + (elem).v1);
-            target->push_back(baseIndex + (elem).v2);
+            target->push_back(baseIndex + line.v1);
+            target->push_back(baseIndex + line.v2);
         }
     }
@@ -203,9 +202,9 @@
     void IcoSphere::addToTriangleIndices(int baseIndex, std::list<int>* target) const
     {
-        for (const auto & elem : faces)
+        for (const TriangleIndices& triangle : faces)
         {
-            target->push_back(baseIndex + (elem).v1);
-            target->push_back(baseIndex + (elem).v2);
-            target->push_back(baseIndex + (elem).v3);
+            target->push_back(baseIndex + triangle.v1);
+            target->push_back(baseIndex + triangle.v2);
+            target->push_back(baseIndex + triangle.v3);
         }
     }
@@ -217,6 +216,6 @@
         transform.setScale(Ogre::Vector3(scale, scale, scale));
 
-        for (auto & elem : vertices)
-            target->push_back(VertexPair(transform * elem, colour));
+        for (const Ogre::Vector3& vertex : vertices)
+            target->push_back(VertexPair(transform * vertex, colour));
 
         return vertices.size();
Index: /code/branches/cpp11_v2/src/libraries/tools/Shader.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/Shader.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/tools/Shader.cc	(revision 10916)
@@ -197,23 +197,23 @@
     {
         // iterate through the list of parameters
-        for (auto & elem : this->parameters_)
-        {
-            Ogre::Technique* techniquePtr = materialPtr->getTechnique(elem.technique_);
+        for (const ParameterContainer& parameter : this->parameters_)
+        {
+            Ogre::Technique* techniquePtr = materialPtr->getTechnique(parameter.technique_);
             if (techniquePtr)
             {
-                Ogre::Pass* passPtr = techniquePtr->getPass(elem.pass_);
+                Ogre::Pass* passPtr = techniquePtr->getPass(parameter.pass_);
                 if (passPtr)
                 {
                     // change the value of the parameter depending on its type
-                    if (elem.value_.isType<int>())
-                        passPtr->getFragmentProgramParameters()->setNamedConstant(elem.parameter_, elem.value_.get<int>());
-                    else if (elem.value_.isType<float>())
-                        passPtr->getFragmentProgramParameters()->setNamedConstant(elem.parameter_, elem.value_.get<float>());
+                    if (parameter.value_.isType<int>())
+                        passPtr->getFragmentProgramParameters()->setNamedConstant(parameter.parameter_, parameter.value_.get<int>());
+                    else if (parameter.value_.isType<float>())
+                        passPtr->getFragmentProgramParameters()->setNamedConstant(parameter.parameter_, parameter.value_.get<float>());
                 }
                 else
-                    orxout(internal_warning) << "No pass " << elem.pass_ << " in technique " << elem.technique_ << " in compositor \"" << this->compositorName_ << "\" or pass has no shader." << endl;
+                    orxout(internal_warning) << "No pass " << parameter.pass_ << " in technique " << parameter.technique_ << " in compositor \"" << this->compositorName_ << "\" or pass has no shader." << endl;
             }
             else
-                orxout(internal_warning) << "No technique " << elem.technique_ << " in compositor \"" << this->compositorName_ << "\" or technique has no pass with shader." << endl;
+                orxout(internal_warning) << "No technique " << parameter.technique_ << " in compositor \"" << this->compositorName_ << "\" or technique has no pass with shader." << endl;
         }
         this->parameters_.clear();
@@ -228,5 +228,5 @@
         {
             const Ogre::Root::PluginInstanceList& plugins = Ogre::Root::getSingleton().getInstalledPlugins();
-            for (auto & plugin : plugins)
+            for (Ogre::Plugin* plugin : plugins)
                 if (plugin->getName() == "Cg Program Manager")
                     return true;
Index: /code/branches/cpp11_v2/src/libraries/util/DisplayStringConversions.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/DisplayStringConversions.h	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/DisplayStringConversions.h	(revision 10916)
@@ -51,7 +51,7 @@
             {
                 Ogre::UTFString::code_point cp;
-                for (auto & elem : input)
+                for (const char& character : input)
                 {
-                  cp = elem;
+                  cp = character;
                   cp &= 0xFF;
                   output->append(1, cp);
Index: /code/branches/cpp11_v2/src/libraries/util/Serialise.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/Serialise.h	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/Serialise.h	(revision 10916)
@@ -672,6 +672,6 @@
     {
         uint32_t tempsize = sizeof(uint32_t); // for the number of entries
-        for(const auto & elem : *((std::set<T>*)(&variable)))
-            tempsize += returnSize( elem );
+        for(const T& element : *((std::set<T>*)(&variable)))
+            tempsize += returnSize( element );
         return tempsize;
     }
Index: /code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc	(revision 10916)
@@ -81,7 +81,7 @@
     void SignalHandler::dontCatch()
     {
-      for (auto & elem : sigRecList)
-      {
-        signal( elem.signal, elem.handler );
+      for (const SignalRec& sigRec : sigRecList)
+      {
+        signal( sigRec.signal, sigRec.handler );
       }
 
@@ -133,7 +133,7 @@
       }
 
-      for (auto & elem : SignalHandler::getInstance().callbackList)
-      {
-        (*(elem.cb))( elem.someData );
+      for (const SignalCallbackRec& callback : SignalHandler::getInstance().callbackList)
+      {
+        (*(callback.cb))( callback.someData );
       }
 
Index: /code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc	(revision 10916)
@@ -53,6 +53,6 @@
     SmallObjectAllocator::~SmallObjectAllocator()
     {
-        for (auto & elem : this->blocks_)
-            delete[] elem;
+        for (char* block : this->blocks_)
+            delete[] block;
     }
 
Index: /code/branches/cpp11_v2/src/libraries/util/StringUtils.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/StringUtils.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/StringUtils.cc	(revision 10916)
@@ -262,7 +262,7 @@
         std::string output(str.size() * 2, ' ');
         size_t i = 0;
-        for (auto & elem : str)
-        {
-            switch (elem)
+        for (const char& character : str)
+        {
+            switch (character)
             {
             case '\\': output[i] = '\\'; output[i + 1] = '\\'; break;
@@ -276,5 +276,5 @@
             case  '"': output[i] = '\\'; output[i + 1] =  '"'; break;
             case '\0': output[i] = '\\'; output[i + 1] =  '0'; break;
-            default  : output[i] = elem; ++i; continue;
+            default  : output[i] = character; ++i; continue;
             }
             i += 2;
@@ -336,7 +336,7 @@
     void lowercase(std::string* str)
     {
-        for (auto & elem : *str)
-        {
-            elem = static_cast<char>(tolower(elem));
+        for (char& character : *str)
+        {
+            character = static_cast<char>(tolower(character));
         }
     }
@@ -353,7 +353,7 @@
     void uppercase(std::string* str)
     {
-        for (auto & elem : *str)
-        {
-            elem = static_cast<char>(toupper(elem));
+        for (char& character : *str)
+        {
+            character = static_cast<char>(toupper(character));
         }
     }
@@ -460,9 +460,9 @@
     {
         size_t j = 0;
-        for (auto & elem : str)
-        {
-            if (elem == target)
+        for (char& character : str)
+        {
+            if (character == target)
             {
-                elem = replacement;
+                character = replacement;
                 ++j;
             }
Index: /code/branches/cpp11_v2/src/libraries/util/output/BaseWriter.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/BaseWriter.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/output/BaseWriter.cc	(revision 10916)
@@ -116,8 +116,6 @@
 
         // iterate over all strings in the config-vector
-        for (auto & full_name : this->configurableAdditionalContexts_)
+        for (const std::string& full_name : this->configurableAdditionalContexts_)
         {
-            
-
             // split the name into main-name and sub-name (if given; otherwise sub-name remains empty). both names are separated by ::
             std::string name = full_name;
Index: /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.cc	(revision 10916)
@@ -65,7 +65,6 @@
     void MemoryWriter::resendOutput(OutputListener* listener) const
     {
-        for (auto & message : this->messages_)
+        for (const Message& message : this->messages_)
         {
-            
             listener->unfilteredOutput(message.level, *message.context, message.lines);
         }
Index: /code/branches/cpp11_v2/src/libraries/util/output/OutputListener.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/OutputListener.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/output/OutputListener.cc	(revision 10916)
@@ -111,6 +111,6 @@
         this->levelMask_ = mask;
 
-        for (auto & elem : this->listeners_)
-            elem->updatedLevelMask(this);
+        for (AdditionalContextListener* listener : this->listeners_)
+            listener->updatedLevelMask(this);
     }
 
@@ -142,6 +142,6 @@
         this->additionalContextsLevelMask_ = mask;
 
-        for (auto & elem : this->listeners_)
-            elem->updatedAdditionalContextsLevelMask(this);
+        for (AdditionalContextListener* listener : this->listeners_)
+            listener->updatedAdditionalContextsLevelMask(this);
     }
 
@@ -153,6 +153,6 @@
         this->additionalContextsMask_ = mask;
 
-        for (auto & elem : this->listeners_)
-            elem->updatedAdditionalContextsMask(this);
+        for (AdditionalContextListener* listener : this->listeners_)
+            listener->updatedAdditionalContextsMask(this);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc	(revision 10916)
@@ -131,6 +131,6 @@
         vectorize(message, '\n', &lines);
 
-        for (auto & elem : this->listeners_)
-            elem->unfilteredOutput(level, context, lines);
+        for (OutputListener* listener : this->listeners_)
+            listener->unfilteredOutput(level, context, lines);
     }
 
@@ -178,6 +178,6 @@
     {
         int mask = 0;
-        for (auto & elem : this->listeners_)
-            mask |= elem->getLevelMask();
+        for (OutputListener* listener : this->listeners_)
+            mask |= listener->getLevelMask();
         this->combinedLevelMask_ = static_cast<OutputLevel>(mask);
     }
@@ -189,6 +189,6 @@
     {
         int mask = 0;
-        for (auto & elem : this->listeners_)
-            mask |= elem->getAdditionalContextsLevelMask();
+        for (OutputListener* listener : this->listeners_)
+            mask |= listener->getAdditionalContextsLevelMask();
         this->combinedAdditionalContextsLevelMask_ = static_cast<OutputLevel>(mask);
     }
@@ -200,6 +200,6 @@
     {
         this->combinedAdditionalContextsMask_ = 0;
-        for (auto & elem : this->listeners_)
-            this->combinedAdditionalContextsMask_ |= elem->getAdditionalContextsMask();
+        for (OutputListener* listener : this->listeners_)
+            this->combinedAdditionalContextsMask_ |= listener->getAdditionalContextsMask();
     }
 
Index: /code/branches/cpp11_v2/src/libraries/util/output/SubcontextOutputListener.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/SubcontextOutputListener.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/util/output/SubcontextOutputListener.cc	(revision 10916)
@@ -79,8 +79,8 @@
 
         // compose the mask of subcontexts and build the set of sub-context-IDs
-        for (const auto & subcontext : subcontexts)
+        for (const OutputContextContainer* subcontext : subcontexts)
         {
-            this->subcontextsCheckMask_ |= (subcontext)->mask;
-            this->subcontexts_.insert((subcontext)->sub_id);
+            this->subcontextsCheckMask_ |= subcontext->mask;
+            this->subcontexts_.insert(subcontext->sub_id);
         }
 
Index: /code/branches/cpp11_v2/src/modules/docking/Dock.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/docking/Dock.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/docking/Dock.cc	(revision 10916)
@@ -327,8 +327,8 @@
     const DockingEffect* Dock::getEffect(unsigned int i) const
     {
-        for (const auto & elem : this->effects_)
+        for (DockingEffect* effect : this->effects_)
         {
             if(i == 0)
-               return elem;
+               return effect;
             i--;
         }
@@ -346,8 +346,8 @@
     const DockingAnimation* Dock::getAnimation(unsigned int i) const
     {
-        for (const auto & elem : this->animations_)
+        for (DockingAnimation* animation : this->animations_)
         {
             if(i == 0)
-               return elem;
+               return animation;
             i--;
         }
Index: /code/branches/cpp11_v2/src/modules/docking/DockingAnimation.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/docking/DockingAnimation.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/docking/DockingAnimation.cc	(revision 10916)
@@ -57,10 +57,10 @@
         bool check = true;
 
-        for (auto & animations_animation : animations)
+        for (DockingAnimation* animation : animations)
         {
             if(dock)
-                check &= (animations_animation)->docking(player);
+                check &= animation->docking(player);
             else
-                check &= (animations_animation)->release(player);
+                check &= animation->release(player);
         }
 
Index: /code/branches/cpp11_v2/src/modules/docking/DockingEffect.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/docking/DockingEffect.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/docking/DockingEffect.cc	(revision 10916)
@@ -53,10 +53,10 @@
         bool check = true;
 
-        for (auto & effects_effect : effects)
+        for (DockingEffect* effect : effects)
         {
             if (dock)
-                check &= (effects_effect)->docking(player);
+                check &= effect->docking(player);
             else
-                check &= (effects_effect)->release(player);
+                check &= effect->release(player);
         }
 
Index: /code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.cc	(revision 10916)
@@ -146,11 +146,11 @@
     {
         Vector3 checkpoints(-1,-1,-1); int count=0;
-        for (const auto & elem : nextCheckpoints_)
+        for (int nextCheckpoint : nextCheckpoints_)
         {
             switch (count)
             {
-                case 0: checkpoints.x = static_cast<Ogre::Real>(elem); break;
-                case 1: checkpoints.y = static_cast<Ogre::Real>(elem); break;
-                case 2: checkpoints.z = static_cast<Ogre::Real>(elem); break;
+                case 0: checkpoints.x = static_cast<Ogre::Real>(nextCheckpoint); break;
+                case 1: checkpoints.y = static_cast<Ogre::Real>(nextCheckpoint); break;
+                case 2: checkpoints.z = static_cast<Ogre::Real>(nextCheckpoint); break;
             }
             ++count;
Index: /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc	(revision 10916)
@@ -154,16 +154,16 @@
     {
         std::map<RaceCheckPoint*, int> zaehler; // counts how many times the checkpoint was reached (for simulation)
-        for (auto & allCheckpoint : allCheckpoints)
-        {
-            zaehler.insert(std::pair<RaceCheckPoint*, int>(allCheckpoint,0));
+        for (RaceCheckPoint* checkpoint : allCheckpoints)
+        {
+            zaehler.insert(std::pair<RaceCheckPoint*, int>(checkpoint,0));
         }
         int maxWays = rekSimulationCheckpointsReached(currentCheckpoint, zaehler);
 
         std::vector<RaceCheckPoint*> returnVec;
-        for (auto & elem : zaehler)
-        {
-            if (elem.second == maxWays)
-            {
-                returnVec.push_back(elem.first);
+        for (auto& mapEntry : zaehler)
+        {
+            if (mapEntry.second == maxWays)
+            {
+                returnVec.push_back(mapEntry.first);
             }
         }
@@ -226,7 +226,7 @@
 
         // find the next checkpoint with the minimal distance
-        for (auto elem : raceCheckpoint->getNextCheckpoints())
-        {
-            RaceCheckPoint* nextRaceCheckPoint = findCheckpoint(elem);
+        for (int checkpointIndex : raceCheckpoint->getNextCheckpoints())
+        {
+            RaceCheckPoint* nextRaceCheckPoint = findCheckpoint(checkpointIndex);
             float distance = recCalculateDistance(nextRaceCheckPoint, this->getControllableEntity()->getPosition());
 
@@ -289,7 +289,7 @@
     RaceCheckPoint* SpaceRaceController::findCheckpoint(int index) const
     {
-        for (auto & elem : this->checkpoints_)
-            if (elem->getCheckpointIndex() == index)
-                return elem;
+        for (RaceCheckPoint* checkpoint : this->checkpoints_)
+            if (checkpoint->getCheckpointIndex() == index)
+                return checkpoint;
         return nullptr;
     }
@@ -414,9 +414,9 @@
         btScalar radiusObject;
 
-        for (const auto & allObject : allObjects)
-        {
-            for (int everyShape=0; (allObject)->getAttachedCollisionShape(everyShape) != nullptr; everyShape++)
-            {
-                btCollisionShape* currentShape = (allObject)->getAttachedCollisionShape(everyShape)->getCollisionShape();
+        for (StaticEntity* object : allObjects)
+        {
+            for (int everyShape=0; object->getAttachedCollisionShape(everyShape) != nullptr; everyShape++)
+            {
+                btCollisionShape* currentShape = object->getAttachedCollisionShape(everyShape)->getCollisionShape();
                 if(currentShape == nullptr)
                 continue;
Index: /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc	(revision 10916)
@@ -54,6 +54,6 @@
     SpaceRaceManager::~SpaceRaceManager()
     {
-        for (auto & elem : this->checkpoints_)
-        elem->destroy();
+        for (RaceCheckPoint* checkpoint : this->checkpoints_)
+        checkpoint->destroy();
     }
 
@@ -77,11 +77,11 @@
         }
 
-        for (auto & elem : players_)
+        for (auto& mapEntry : players_)
         {
 
-            for (auto & _i : this->checkpoints_)
+            for (RaceCheckPoint* checkpoint : this->checkpoints_)
             {
-                if (_i->playerWasHere(elem.first)){
-                this->checkpointReached(_i, elem.first /*this->checkpoints_[i]->getPlayer()*/);
+                if (checkpoint->playerWasHere(mapEntry.first)){
+                this->checkpointReached(checkpoint, mapEntry.first /*this->checkpoints_[i]->getPlayer()*/);
                 }
             }
@@ -113,7 +113,7 @@
     RaceCheckPoint* SpaceRaceManager::findCheckpoint(int index) const
     {
-        for (auto & elem : this->checkpoints_)
-        if (elem->getCheckpointIndex() == index)
-        return elem;
+        for (RaceCheckPoint* checkpoint : this->checkpoints_)
+        if (checkpoint->getCheckpointIndex() == index)
+        return checkpoint;
         return nullptr;
     }
@@ -125,5 +125,5 @@
             // the player already visited an old checkpoint; see which checkpoints are possible now
             const std::set<int>& possibleCheckpoints = oldCheckpoint->getNextCheckpoints();
-            for (const auto & possibleCheckpoint : possibleCheckpoints)
+            for (int possibleCheckpoint : possibleCheckpoints)
             if (this->findCheckpoint(possibleCheckpoint) == newCheckpoint)
             return true;
@@ -179,6 +179,6 @@
         {
             const std::set<int>& oldVisible = oldCheckpoint->getNextCheckpoints();
-            for (const auto & elem : oldVisible)
-            this->findCheckpoint(elem)->setRadarVisibility(false);
+            for (int checkpointIndex : oldVisible)
+            this->findCheckpoint(checkpointIndex)->setRadarVisibility(false);
         }
 
@@ -188,6 +188,6 @@
 
             const std::set<int>& newVisible = newCheckpoint->getNextCheckpoints();
-            for (const auto & elem : newVisible)
-            this->findCheckpoint(elem)->setRadarVisibility(true);
+            for (int checkpointIndex : newVisible)
+            this->findCheckpoint(checkpointIndex)->setRadarVisibility(true);
         }
     }
